Commit 6ef14349 authored by Paul Eggert's avatar Paul Eggert

Don't require GNU putenv

* configure.ac: Use system putenv even if it lacks GNU features, as
we don't need them.  This works around a bug in FreeBSD 10.1 getenv.
Fixes: bug#19874
parent 619fc5c1
2015-02-27 Paul Eggert <eggert@cs.ucla.edu>
Don't require GNU putenv
* configure.ac: Use system putenv even if it lacks GNU features, as
we don't need them. This works around a bug in FreeBSD 10.1 getenv.
Fixes: bug#19874
2015-02-25 Paul Eggert <eggert@cs.ucla.edu>
Merge from gnulib
......
......@@ -780,6 +780,11 @@ AC_DEFUN([gl_CRYPTO_CHECK])
# Avoid gnulib's tests for HAVE_WORKING_O_NOATIME and HAVE_WORKING_O_NOFOLLOW,
# as we don't use them.
AC_DEFUN([gl_FCNTL_O_FLAGS])
# Use the system putenv even if it lacks GNU features, as we don't need them,
# and the gnulib replacement runs afoul of a FreeBSD 10.1 bug; see Bug#19874.
AC_CHECK_FUNCS_ONCE([putenv])
AC_DEFUN([gl_FUNC_PUTENV],
[test "$ac_cv_func_putenv" = yes || REPLACE_PUTENV=1])
# Initialize gnulib right after choosing the compiler.
dnl Amongst other things, this sets AR and ARFLAGS.
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment